%global srcname isort

Summary:     A Python utility / library to sort imports
Name:        python-%{srcname}
Version:     5.12.0
Release:     2%{?dist}
License:     MIT
URL:         https://github.com/PyCQA/isort
Source0:     %{url}/archive/refs/tags/%{version}.tar.gz

BuildArch:   noarch

%description
isort is a Python utility / library to sort imports alphabetically
and automatically separate into sections and by type. It provides
a command line utility, Python library and plugins for various
editors to quickly sort all your imports.

%package -n python3-%{srcname}
Summary:            %{summary}
BuildRequires:      python3-devel python3-setuptools

%description -n python3-%{srcname}
A Python utility / library to sort imports


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
mv %{buildroot}%{_bindir}/%{srcname}{,-%{python3_version}}
ln -s %{srcname}-%{python3_version} %{buildroot}%{_bindir}/%{srcname}-3
ln -s %{srcname}-3 %{buildroot}%{_bindir}/%{srcname}


%files -n python3-%{srcname}
%license LICENSE
%doc *.md
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-3
%{_bindir}/%{srcname}-%{python3_version}
%{_bindir}/%{srcname}-identify-imports
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.dist-info/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.12.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Miaojun Dong <zoedong@tencent.com> - 5.12.0-1
- initial build
